Variable (Groovy 5.0.8)

Package: org.codehaus.groovy.ast

## [Java] Interface Variable

-     public interface Variable

  interface to mark a AstNode as Variable. Typically these are VariableExpression, FieldNode, PropertyNode and Parameter

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getInitialExpression()` Returns the expression used to initialize the variable or null of there is no initialization.
    `` | `public int` | `getModifiers()`
    `` | `public String` | `getName()` Returns the name of the variable.
    `` | `public ClassNode` | `getOriginType()` Returns the type before wrapping primitives type of the variable.
    `` | `public ClassNode` | `getType()` Returns the type of the variable.
    `` | `public boolean` | `hasInitialExpression()` Returns true if there is an initialization expression.
    `` | `public boolean` | `isClosureSharedVariable()`
    `` | `public boolean` | `isDynamicTyped()`
    `` | `public boolean` | `isFinal()` Since: 5.0.0
    `` | `public boolean` | `isInStaticContext()` Returns true if this variable is used in a static context.
    `` | `public boolean` | `isPrivate()` Since: 5.0.0
    `` | `public boolean` | `isProtected()` Since: 5.0.0
    `` | `public boolean` | `isPublic()` Since: 5.0.0
    `` | `public boolean` | `isStatic()` Since: 5.0.0
    `` | `public boolean` | `isVolatile()` Since: 5.0.0
    `` | `public void` | `setClosureSharedVariable(boolean inClosure)`

- - ### Method Detail

    - #### public Expression getInitialExpression()

      Returns the expression used to initialize the variable or null of there is no initialization.

    - #### public int getModifiers()

    - #### public String getName()

      Returns the name of the variable.

    - #### public ClassNode getOriginType()

      Returns the type before wrapping primitives type of the variable.

    - #### public ClassNode getType()

      Returns the type of the variable.

    - #### public boolean hasInitialExpression()

      Returns true if there is an initialization expression.

    - #### public boolean isClosureSharedVariable()

    - #### public boolean isDynamicTyped()

    - #### public boolean isFinal()

      Since:
        5.0.0

    - #### public boolean isInStaticContext()

      Returns true if this variable is used in a static context. A static context is any static initializer block, when this variable is declared as static or when this variable is used in a static method

    - #### public boolean isPrivate()

      Since:
        5.0.0

    - #### public boolean isProtected()

      Since:
        5.0.0

    - #### public boolean isPublic()

      Since:
        5.0.0

    - #### public boolean isStatic()

      Since:
        5.0.0

    - #### public boolean isVolatile()

      Since:
        5.0.0

    - #### public void setClosureSharedVariable(boolean inClosure)